VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::DiskProvisioningType Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::DiskProvisioningType:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::DiskProvisioningType` enumerated type defines the virtual disk provisioning types that can be set for a disk on the target platform. Constant Com::Vmware::Vcenter::Ovf::DiskProvisioningType::THIN # A thin provisioned virtual disk has space allocated and zeroed on demand as the space is used. Constant Com::Vmware::Vcenter::Ovf::DiskProvisioningType::THICK # A thick provisioned virtual disk has all space allocated at creation time and the space is zeroed on demand as the space is used. Constant Com::Vmware::Vcenter::Ovf::DiskProvisioningType::EAGER_ZEROED_THICK # An eager zeroed thick provisioned virtual disk has all space allocated and wiped clean of any previous contents on the physical media at creation time.

Disks specified as eager zeroed thick may take longer time to create than disks specified with the other disk provisioning types.

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::DiskProvisioningType::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::DiskProvisioningType enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.vcenter.ovf.disk_provisioning_type',
'binding_class' => 'Com::Vmware::Vcenter::Ovf::DiskProvisioningType');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/DiskProvisioningType.pm